package td09;

public class Julia implements Fractal {
	private int nbMaxIteration;
	private int rmax;
	protected Complex c;

	public Julia(int nbMaxIteration, int rmax, double cx, double cy) {
		this.nbMaxIteration  = nbMaxIteration;
		this.rmax = rmax;
		this.c = new Complex(cx, cy);
	}

	// garde-t-on une norme inférieure à rmax en réalisant nbMaxIterations?
	// si oui : le point appartient à la fractale
	public boolean belongsTo(double x, double y) {
		Complex z = new Complex(x, y);
		for(int i = 0; i < nbMaxIteration; ++i) {
			z.multiply(z); z.add(c);
			if (z.norm() > rmax) 
				return false;
		}

		return true;

	}
}

